# CSC 111, Day 14
# Author: Sara Mathieson and CSC 111 class
# This codes tests out reading and writing files


def main():

    # 1) create a file
    # use built-in method open
    # open takes two parameters
    #  * filename (string)
    #  * mode (read: "r", write: "w", append: "a")
    # open returns a file object
    # w will create a new file OR overwrite an existing file
    '''my_file = open("hello_world.txt", "w")
    my_file.write("Hello World!\n") # write a string
    my_file.write("Author: Sara Mathieson\n")
    my_file.write("This is testing out files\n")
    my_file.close() # always close when you are done!'''

    # 2) read a file
    my_file = open("hello_world.txt","r")

    # read() can fill up your memory really easily!
    '''all_text = my_file.read() # return all text as a string
    print(all_text)
    line_lst = all_text.split("\n") # split into lines
    print(line_lst)

    for line in line_lst:
        print(line)'''

    # a more efficient way of reading a file
    '''for i in range(3):
        # read the next line of the file (one line at a time)
        line = my_file.readline()
        print(line)'''

    # most common way to iterate over the lines of a file
    for line in my_file:
        print(line)

    my_file.close()


main()
